@echo off
rem
rem Converting doml 3.1 file into doml 5.0 file.
rem
rem  doml31_2_doml50 [-help] [doml31-file] [doml50-file] 
rem
rem  -help - Print usage message and exit.
rem
rem doml31-file - doml file relese 3.1.
rem doml50-file - desired target doml file relese 5.0.
rem

set USAGE=doml31_2_doml50 [-help] [doml31-file] [doml50-file]

set JDKDIR=C:\j2sdk1.4.0
set DODS_HOME=C:\Vajat-CVS\DODS\output
set XALANDIR=C:\Vajat-CVS\DODS\output\lib-ext

set DODS_XALAN_JAR=%XALANDIR%\xalan.jar
set JAVACMD=%JDKDIR%\bin\java.exe


set DOML31_2_DOML50_XSL=%DODS_HOME%\build\xsl\doml31_2_doml50.xsl

:start0
if exist %DOML31_2_DOML50_XSL% goto start
echo.
echo Unable to find necessary xsl file. Set DOML31_2_DOML50_XSL in this bat file.
echo.
goto exit

:start
if %1.==. goto error1
if %1==-help goto help
if %1==-* goto error2
if %1==* goto continue1
goto continue1

:error1
echo Error: There is not any arguments: %USAGE%
goto exit

:error2
echo Error: Invalid option: %USAGE%
goto exit

:error3
echo Error: There is not second argument: %USAGE%
goto exit

:error4
echo Error: There are more then two arguments: %USAGE%
goto exit

:help
echo.
echo Usage: %USAGE%
echo.
goto exit

:continue1
if %2.==. goto error3
if %2==-* goto error2
if %2==* goto continue2
goto continue2

:continue2
if %3.==. goto continue
goto error4


:continue
%JAVACMD% -cp %DODS_XALAN_JAR% org.apache.xalan.xslt.Process -in %1 -xsl %DOML31_2_DOML50_XSL% -out %2
:exit
