<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:dodst="org.enhydra.dods.xslt.DODSTag"
                version="1.0">
    <xsl:output method="text" encoding="iso-8859-1"/>
<xsl:template name="cascadingDeletesDO">
<xsl:if test="dodst:compareReferrerDoName(/TABLE/PACKAGE,/TABLE/CLASS_NAME,@do_name) = 'true'">
<xsl:if test="/TABLE/DELETE_CASCADES='false'">
                // perform cascading delete on referring table
                {
                    <xsl:value-of select="../@package"/>.<xsl:value-of select="../@name"/>DO[] a = <xsl:value-of select="dodst:getArrayDO(../@name,@name)"/>();
                    for ( int i = 0; i &lt; a.length; i++ ) {
                        a[ i ].delete( dbt );
                    }
                }
</xsl:if></xsl:if>
</xsl:template>
</xsl:stylesheet>
