<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
					xmlns:gvs="org.ejen.ext.GlobalVariables"
					extension-element-prefixes="gvs ..."
					exclude-result-prefixes="gvs ...">
<xsl:output omit-xml-declaration="yes"/>


<xsl:template match ="/">
  <xsl:apply-templates />
</xsl:template>



<!-- doml -->

<xsl:template match="TABLE">
  <xsl:call-template name="fileHeader"/>

  <xsl:for-each select="//COLUMN">
  	<xsl:call-template name="memberStuff"/>
  </xsl:for-each>

  <xsl:call-template name="preCompareCond"/>

  <xsl:for-each select="//COLUMN">
  	<xsl:call-template name="compareCond"/>
  </xsl:for-each>

  <xsl:call-template name="fileFooter0"/>
<!--
  <xsl:for-each select="//COLUMN">
	  <xsl:call-template name="fK_methods"/>
  </xsl:for-each>
-->
  <xsl:call-template name="fileFooter1"/>

  <xsl:for-each select="//COLUMN">
	  <xsl:call-template name="resultSetExstractionForLONGDO"/>
  </xsl:for-each>

  <xsl:for-each select="//COLUMN">
	  <xsl:call-template name="resultSetExstractionDO"/>
  </xsl:for-each>

  <xsl:call-template name="fileFooter2"/>

  <xsl:for-each select="//COLUMN">
	  <xsl:call-template name="handleArrayDO"/>
  </xsl:for-each>

  <xsl:call-template name="fileFooter3"/>

  <xsl:for-each select="//COLUMN">
	  <xsl:call-template name="jdbcSetCallDO"/>
  </xsl:for-each>

  <xsl:call-template name="fileFooter4"/>

  <xsl:for-each select="//COLUMN">
	  <xsl:call-template name="jdbcSetCallForNonOidPKDO"/>
  </xsl:for-each>

  <xsl:call-template name="fileFooter5"/>

  <xsl:for-each select="//COLUMN">
	  <xsl:call-template name="jdbcSetCallForNonOidPKDO1"/>
  </xsl:for-each>

  <xsl:call-template name="fileFooter6"/>

  <xsl:for-each select="//COLUMN">
	  <xsl:call-template name="toStringDO"/>
  </xsl:for-each>

  <xsl:call-template name="fileFooter7"/>

  <xsl:for-each select="//REFERRER">
 		<xsl:call-template name="referrersDOInit"/>
	  <xsl:for-each select="REFATTR">
  		<xsl:call-template name="addReferrersDO"/>
	  </xsl:for-each>
	  <xsl:for-each select="REFATTR">
		  <xsl:call-template name="manyToOneReferrersDO"/>
	  </xsl:for-each>
  </xsl:for-each>

  <xsl:for-each select="//REFERRER">
 		<xsl:call-template name="referrersDOInit"/>
	  <xsl:for-each select="REFATTR">
  		<xsl:call-template name="addReferrersDO"/>
	  </xsl:for-each>
	  <xsl:for-each select="REFATTR">
		  <xsl:call-template name="manyToManyReferrersDO"/>
	  </xsl:for-each>
  </xsl:for-each>

  <xsl:call-template name="fileFooter8"/>

  <xsl:for-each select="//COLUMN">
	  <xsl:call-template name="stubForCommitAssertionDO"/>
  </xsl:for-each>

  <xsl:call-template name="fileFooter9"/>

  <xsl:for-each select="//REFERRER">
 		<xsl:call-template name="referrersDOInit"/>
	  <xsl:for-each select="REFATTR">
  		<xsl:call-template name="addReferrersDO"/>
	  </xsl:for-each>
	  <xsl:for-each select="REFATTR">
		  <xsl:call-template name="cascadingDeletesDO"/>
	  </xsl:for-each>
  </xsl:for-each>

  <xsl:call-template name="fileFooter10"/>

  <xsl:for-each select="//COLUMN">
	  <xsl:call-template name="commitDeleteOtherDO"/>
  </xsl:for-each>

  <xsl:call-template name="fileFooter11"/>

</xsl:template>

</xsl:stylesheet>